Package org.apache.activemq.artemis.jms.persistence.impl.journal

## Class JMSJournalStorageManagerImpl

- java.lang.Object
- - org.apache.activemq.artemis.jms.persistence.impl.journal.JMSJournalStorageManagerImpl

- All Implemented Interfaces:
    `org.apache.activemq.artemis.core.server.ActiveMQComponent`, `JMSStorageManager`

      public final class JMSJournalStorageManagerImpl
      extends java.lang.Object
      implements JMSStorageManager

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `BINDING_RECORD` |
    `static byte` | `CF_RECORD` |
    `static byte` | `DESTINATION_RECORD` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JMSJournalStorageManagerImpl​(org.apache.activemq.artemis.utils.ExecutorFactory ioExecutors, org.apache.activemq.artemis.utils.IDGenerator idGenerator, org.apache.activemq.artemis.core.config.Configuration config, org.apache.activemq.artemis.core.replication.ReplicationManager replicator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBindings​(PersistedType type, java.lang.String name, java.lang.String... address)` |
    `void` | `deleteBindings​(PersistedType type, java.lang.String name)` |
    `void` | `deleteBindings​(PersistedType type, java.lang.String name, java.lang.String address)` |
    `void` | `deleteConnectionFactory​(java.lang.String cfName)` |
    `void` | `deleteDestination​(PersistedType type, java.lang.String name)` |
    `boolean` | `isStarted()` |
    `void` | `load()` |
    `java.util.List<PersistedConnectionFactory>` | `recoverConnectionFactories()` |
    `java.util.List<PersistedDestination>` | `recoverDestinations()` |
    `java.util.List<PersistedBindings>` | `recoverPersistedBindings()` |
    `void` | `start()` |
    `void` | `stop()` |
    `void` | `storeConnectionFactory​(PersistedConnectionFactory connectionFactory)` |
    `void` | `storeDestination​(PersistedDestination destination)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.core.server.ActiveMQComponent

      `asyncStop`

- - ### Field Detail

    - #### CF_RECORD

          public static final byte CF_RECORD

      See Also:
        Constant Field Values

    - #### DESTINATION_RECORD

          public static final byte DESTINATION_RECORD

      See Also:
        Constant Field Values

    - #### BINDING_RECORD

          public static final byte BINDING_RECORD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JMSJournalStorageManagerImpl

          public JMSJournalStorageManagerImpl​(org.apache.activemq.artemis.utils.ExecutorFactory ioExecutors,
                                              org.apache.activemq.artemis.utils.IDGenerator idGenerator,
                                              org.apache.activemq.artemis.core.config.Configuration config,
                                              org.apache.activemq.artemis.core.replication.ReplicationManager replicator)

  - ### Method Detail

    - #### recoverConnectionFactories

          public java.util.List<PersistedConnectionFactory> recoverConnectionFactories()

      Specified by:
        `recoverConnectionFactories` in interface `JMSStorageManager`

    - #### storeConnectionFactory

          public void storeConnectionFactory​(PersistedConnectionFactory connectionFactory)
                                      throws java.lang.Exception

      Specified by:
        `storeConnectionFactory` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### deleteConnectionFactory

          public void deleteConnectionFactory​(java.lang.String cfName)
                                       throws java.lang.Exception

      Specified by:
        `deleteConnectionFactory` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### recoverDestinations

          public java.util.List<PersistedDestination> recoverDestinations()

      Specified by:
        `recoverDestinations` in interface `JMSStorageManager`

    - #### storeDestination

          public void storeDestination​(PersistedDestination destination)
                                throws java.lang.Exception

      Specified by:
        `storeDestination` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### recoverPersistedBindings

          public java.util.List<PersistedBindings> recoverPersistedBindings()
                                                                     throws java.lang.Exception

      Specified by:
        `recoverPersistedBindings` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### addBindings

          public void addBindings​(PersistedType type,
                                  java.lang.String name,
                                  java.lang.String... address)
                           throws java.lang.Exception

      Specified by:
        `addBindings` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### deleteBindings

          public void deleteBindings​(PersistedType type,
                                     java.lang.String name,
                                     java.lang.String address)
                              throws java.lang.Exception

      Specified by:
        `deleteBindings` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### deleteBindings

          public void deleteBindings​(PersistedType type,
                                     java.lang.String name)
                              throws java.lang.Exception

      Specified by:
        `deleteBindings` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### deleteDestination

          public void deleteDestination​(PersistedType type,
                                        java.lang.String name)
                                 throws java.lang.Exception

      Specified by:
        `deleteDestination` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`

    - #### isStarted

          public boolean isStarted()

      Specified by:
        `isStarted` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`

    - #### start

          public void start()
                     throws java.lang.Exception

      Specified by:
        `start` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop()
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `org.apache.activemq.artemis.core.server.ActiveMQComponent`
      Throws:
        `java.lang.Exception`

    - #### load

          public void load()
                    throws java.lang.Exception

      Specified by:
        `load` in interface `JMSStorageManager`
      Throws:
        `java.lang.Exception`